package db

import (
	"context"
	"database/sql"
)

// InitSchema initializes the database schema
func InitSchema(db *sql.DB) error {
	// Create a new Queries instance
	q := New(db)

	// Execute the initialization query
	return q.InitSchema(context.Background())
}
